import processing.serial.*;
Serial myPort;
PrintWriter output;

void setup()
{
  println(Serial.list());
  output = createWriter("data.txt");
  myPort = new Serial(this, Serial.list()[1], 57600);
  myPort.bufferUntil('\n');
}

void draw()
{
}

void serialEvent(Serial myPort)
{
  String concentration = myPort.readStringUntil('\n');
  
  if (concentration != null)
  {
    String time = str(hour()) + ":" + str(minute()) + ":" + str(second());
    output.print(time);
    output.print(", ");
    output.print(concentration);
    output.flush();
    print(time);
    print(", ");
    print(concentration);
  }
}

void stop()
{
  output.flush();
  output.close();
  exit();
}
